nvme_set_features_endurance_evt_cfg(2)

NAME
nvme_set_features_endurance_evt_cfg - Set endurance event config feature

SYNOPSIS
int nvme_set_features_endurance_evt_cfg (int fd , __u16 endgid , __u8 egwarn , bool save , __u32 *result );

ARGUMENTS

fd  File descriptor of nvme device

endgid
    Endurance Group Identifier

egwarn
    Flags to enable warning, see enum nvme_eg_critical_warning_flags

save
    Save value across power states

result
    The command completion result from CQE dword0

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise.